<?php

namespace FiloBlu\ThresholdTaxes\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;

/**
 *
 */
class Data extends AbstractHelper
{
    const FILOBLU_THRESHOLD_TAXES_ENABLED = 'filoblu_threshold_taxes/general/taxes';

    /**
     * @param \Magento\Framework\App\Helper\Context $context
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        Context $context,
        ScopeConfigInterface $scopeConfig
    ) {
        parent::__construct($context);
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * @return bool
     */
    public function isEnabled()
    {
        return $this->scopeConfig->isSetFlag(self::FILOBLU_THRESHOLD_TAXES_ENABLED);
    }
}
